User's Manual of SendTCP.exe

SendTCP

User's Manual

Connecting to the I-7188E/I-8000E device.

Setting the Gateway/Subnet-mask and IP address of the I-7188E/I-8000E.

Sending commands to the I-7188E/I-8000E.

Configuring the COM port of the I-7188E.

Sending data to the COM port of the I-7188E.

Disconnecting from the I-7188E/I-8000E device.


How to connect to7188E device

Connecting to the I-7188E/I-8000E device.

Step 1: Select the "SendTcp" item to open.

Step 2: Enter the IP address of the I-7188E/I-8000E and then click the "Connect" button.

Step 3: It shows "7188E2 is connected" when connected from the I-7188E2. It also shows the information such as Gateway, Subnet-mask, MAC address, Firmware version and .....


How to setting the Gateway, Subnet-Mask and IP address

Setting the Gateway/Subnet-mask and IP address of the I-7188E/I-8000E.

The setting steps for Gateway, Subnet-mask and IP address are very similar. The following steps will use the Gateway to be the example.

Step 1: Click the "Set" button to modify the Gateway. (Second "Set" button is for Subnet-Mask, and the "Modify IP" button is for IP address.)

Step 2: Enter the IP address for Gateway, and then click the "Set" button.

Step 3: Click the "OK" button and the connection will be closed automatically by the device.

Step 4: Click the "Connect" button to connect to the I-7188E/I-8000E again.


How to send data, command to 7188E

Sending commands to the I-7188E/I-8000E.

Step 1: Enter the command in the field and thne click the "Send" button.

(Click the "Clear Result" button will clear the response field.)


How to configure COM port

Configuring the COM port of the I-7188E.

Step 1: Select the COM port first.

Step 2: Click the "Set" button.

Step 3: Change the settings and then click the "Set" button.

Step 4: The COM status has changed.


How to send data, command to 7188E's COM port

Sending data to the COM port of the I-7188E.

Step 1: Select one of the options first.

Option | Description
None | Add nothing at end of the data/string to be send.
CR | Add Carriage-Return (0x0D) at end of the data/string to be send.
LF | Add Line-Feet (0x0A) at end of the data/string to be send.
LF_CR | Add Line-Feet and Carriage-Return (0x0A and 0x0D) at end of the data/string to be send.
CR_LF | Add Carriage-Return and Line-Feet(0x0D and 0x0A) at end of the data/string to be send.
CS_CR | Add Checksum and Carriage-Return (0x???? and 0x0D) at end of the data/string to be send.

(Note: The CR and CS_CR are used by the protocol of the I-7000/I-8000 series modules.)

For example: The commands for the I-7000/I-8000 series modules must have the ending character "0x0D" (CR, Carriage Return).

Step 2: Enter the command in the field and then click the "Send" button.

(Click the "Clear" button will clear the "Receive" field.)


How to disconnect from 7188E device.

Disconnecting from the I-7188E/I-8000E device.

Step 1: Click the "Disconnect" button.

Step 2: Click the "Close" button.